Subject: [stir] I-D Action: draft-ietf-stir-passport-02.txt

From: [email-masked]
Date: Tue, 24 May 2016 14:41:18 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Secure Telephone Identity Revisited of the IETF.

        Title           : Persona Assertion Token
        Authors         : Chris Wendt
                          Jon Peterson
	Filename        : draft-ietf-stir-passport-02.txt
	Pages           : 21
	Date            : 2016-05-24

Abstract:
   This document defines a token format for verifying with non-
   repudiation the sender of and authorization to send information
   related to the originator of personal communications.  A
   cryptographic signature is defined to protect the integrity of the
   information used to identify the originator of a personal
   communications session (e.g. the telephone number or URI) and verify
   the accuracy of this information at the destination.  The
   cryptographic signature is defined with the intention that it can
   confidently verify the originating persona even when the signature is
   sent to the destination party over an unsecure channel.  The Persona
   Assertion Token (PASSporT) is particularly useful for many personal
   communications applications over IP networks and other multi-hop
   interconnection scenarios where the originating and destination
   parties may not have a direct trusted relationship.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-stir-passport/

There's also a htmlized version available at:
https://tools.ietf.org/html/draft-ietf-stir-passport-02

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-stir-passport-02

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Paul Kyzivat <[email-masked]>
Date: Wed, 25 May 2016 16:46:15 -0400

I looked at this version and found one language issue in Section 3.2.2.2:

    ... If there is
    multiple fingerprint values, more than one, the fingerprint values
    should be constructed ...

The English text makes no sense. How about:

    ... If there are multiple fingerprint values they should be
    constructed ...

	Thanks,
	Paul

On 5/24/16 5:41 PM, [email-masked] wrote:
> _______________________________________________
> stir mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/stir
>

---

From: Russ Housley <[email-masked]>
Date: Fri, 27 May 2016 10:43:27 -0400

Chris and Jon:

It looks like this document is getting close to WG Last Call.  I have a few comments and questions.

In Section 3.1, please say that the PASSporT signature will be ECDSA with curve P-256 and the SHA-256 one-way hash function.

In Section 3.1, “.crt” is used as a file extension.  RFC 2585 says that “.cer” should be used in this case.  Is there any problem making that change?

In section 3.1.2, I think the WG has decide to support on ES256.  Please remove RS256.

In Section 3.2.2.2, there was a discussion about dropping the colon characters just to make the PASSportT token smaller.  Is there a reason that was not done?

Russ

---

From: "Wendt, Chris" <[email-masked]>
Date: Fri, 27 May 2016 15:36:44 +0000

We can discuss on the call but I am fine with all of these changes

> On May 27, 2016, at 11:23 AM, Russ Housley <[email-masked]> wrote:
> 
> Chris and Jon:
>